<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>Profile Page</title>

	<link rel="icon" href="./assets/images/icon.png">

	<link rel="stylesheet" type="text/css" href="./assets/css/style.css">

</head>
<body>
	<!-- div tag used as a container for HTML documents (division) -->
	<!-- class attribute specifies classnames -->
	<!-- sematic tags : header, nav, article, aside, main, section, footer -->
	<div class = "container">
		<header>
			<nav>
				<ul style="list-style-type: none;" >
					<li><a href="./index.html">Home</a></li>
					<li><a href="./contact.html">Contact Us</a></li>
				</ul>
			</nav>
			
			<h1>Developer Portfolio Page</h1>
		</header>
		
		<main>
			<article>
				<p>
					Lorem ipsum dolor sit amet consectetur adipisicing elit. Quis mollitia, in voluptatibus odio! Molestias, labore. Eos omnis minus laboriosam rerum, at totam, pariatur quis vero, fugiat, doloremque nam id nulla!
				</p>
			</article>

			<!-- use div elements to group certain elements -->
			<!-- scenario 1: I want to align the first 3 paragraph elements to the left -->
			<article>
				<p class="lead-paragraph">
					Lorem ipsum dolor sit amet consectetur adipisicing elit. Eveniet, cum animi tenetur iusto, libero debitis corporis praesentium sit impedit vel culpa ipsam aut nesciunt dolorem perspiciatis placeat quo tempore deserunt?
				</p>
				<p>
					Lorem ipsum, dolor sit amet consectetur adipisicing, elit. Deserunt nam, quo, quia dolorem facere aliquam soluta natus eius labore accusamus dolore nobis beatae eligendi quasi minus veritatis reiciendis odit autem!
				</p>
				<p>
					Lorem ipsum dolor sit amet consectetur adipisicing elit. Commodi architecto impedit sequi dolores porro cupiditate debitis eos fuga iste ratione recusandae sunt libero atque voluptatum accusantium sit ducimus tempora, reiciendis!
				</p>
			</article>
			<!-- scenario 1: I want to align the first 3 paragraph elements to the right -->
			<section align="right">
				<p>I should be right-aligned</p>
				<p>I should be right-aligned</p>
				<p>I should be right-aligned</p>
			</section>
			
			<!-- horizontal line | self-closing tag-->
			<hr>

			<section>
				<!-- table -->
				<table class="table-sched" border="1">
					<tr>
						<th scope="col"></th>
						<th scope="col">9 am</th>
						<th scope="col">10 am</th>
						<th scope="col">11 am</th>
					</tr>
					<tr>
						<td scope="row"><strong>Monday</strong></td>
						<td colspan="5">Geography</td>
						<td>Math</td>
						<td rowspan="10">English</td>
					</tr>
					<tr>
						<td scope="row"><strong>Tuesday</strong></td>
						<td>PE</td>
						<td>Social Science</td>
					</tr>
				</table>
			</section>
		</main>
		
		<footer>
			
		</footer>
			<a href="https://www.google.com">Take me to Google</a>
			<!-- target = "_blank" HTML attribute opens a new tab when a user is redirected -->
			<a href="https://www.google.com" target = "_blank">Take me to Google, too</a>

			<!-- absolute URL are locations that are not available in your local server/machine -->
			<!-- When using absolute URLs, include the HTTP protocols - this is a requirement -->
			<a href="https://www.google.com">Absolute URL</a>

			<!-- relative URL are locations in your local server/machine -->

			<a href="./contact.html">Take me to the Contact Page</a>
			<a href="./index.html#mid">I will go to the mid section of the page</a>
			<a href="#nav">Back to Top</a>
	</div>
</body>
</html>
